Get a charge
GEThttps://app.shuttleglobal.com/c/api/instances/{instance_key}/charges/{charge_id}
Retrieve details of a specific charge.
You can expand the following fields:
- contract
- created_session
- updated_session
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The charge’s ID (cg_...), or the alt_key you gave it.
Query Parameters
Section titled “Query Parameters”Fields to expand into full objects
Responses
Section titled “Responses”Charge details
object
A charge object representing an invoice on a contract. Contains all information about the charge including its status, amounts, and payment history.
object
The ID of the charge
The amount of the charge
Your supplied key for the charge (eg invoice id)
Which charge this is in a recurring contract (eg 1 for first, 2 for second)
If this charge was manually created
When the charge was completed
The contract this charge belongs to
When the charge was created
The session the object was created by
When the charge is due to be paid
When the charge was instructed
The amount that remains to be paid
DEPRECATED - do not use
If this charge is part of a recurring contract
The amount that has been paid
The status of the charge
When the charge was last modified
The session the object was updated by
The amount that has been written off
The version of the record
Bad request
Every error has a code and a message. Some add more fields alongside them, with detail about the error.
object
The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.
What went wrong, in words, for logs and support.
Unauthorised: the API key is missing or not valid
Every error has a code and a message. Some add more fields alongside them, with detail about the error.
object
The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.
What went wrong, in words, for logs and support.
Example
{ "code": "UNAUTHORIZED", "message": "Unauthorised"}Resource not found
Every error has a code and a message. Some add more fields alongside them, with detail about the error.
object
The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.
What went wrong, in words, for logs and support.
Was this page helpful?
What went wrong?
Thanks for telling us.